at.chipkarte.client.rez.soap

## Class ERezeptAbgeberReferenz

- Object
- - at.chipkarte.client.rez.soap.ERezeptAbgeberReferenz

-     public class ERezeptAbgeberReferenz
      extends Object

  Rückgabe der Funktion `selbstAbgegebeneERezepteSuchen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptAbgeberReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Partnerdaten` | `getAussteller()` Daten des Ausstellers.
    `String` | `getAusstellungsDatum()` Ausstellungsdatum.
    `Boolean` | `getErstabgabeErfolgt()` Information, ob zu dem Privatrezept bereits eine Erstabgabe erfolgt ist.
    `String` | `getGueltigBis()` Gültig Bis Datum.
    `String` | `getGueltigBisErstabgabe()` Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
    `String` | `getKarteninhaberKennnummer()` 6 Kennnummer des Karteninhabers.
    `Boolean` | `getKeineVerordnunginBestellung()` Information, ob in dem Privatrezept keine Verordnung aktuell den Status "In Bestellung" besitzt.
    `String` | `getKvt()` KV-Träger des Patienten.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname des Patienten.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `String` | `getRezid()` Rezept Id.
    `String` | `getStatus()` Status des e-Rezepts.
    `String` | `getSuchtgift()` Suchtgift.
    `String` | `getSvnr()` Sozialversicherungsnummer des Patienten.
    `void` | `setAussteller(Partnerdaten aussteller)`
    `void` | `setAusstellungsDatum(String ausstellungsDatum)`
    `void` | `setErstabgabeErfolgt(Boolean erstabgabeErfolgt)`
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setGueltigBisErstabgabe(String gueltigBisErstabgabe)`
    `void` | `setKarteninhaberKennnummer(String karteninhaberKennnummer)`
    `void` | `setKeineVerordnunginBestellung(Boolean keineVerordnunginBestellung)`
    `void` | `setKvt(String kvt)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezid(String rezid)`
    `void` | `setStatus(String status)`
    `void` | `setSuchtgift(String suchtgift)`
    `void` | `setSvnr(String svnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptAbgeberReferenz

          public ERezeptAbgeberReferenz()

  - ### Method Detail

    - #### getRezid

          public String getRezid()

      Rezept Id.
      Angabe: Muss.
      Format: 12-stellig
      Returns:
        get the rezId.

    - #### setRezid

          public void setRezid(String rezid)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvnr

          public String getSvnr()

      Sozialversicherungsnummer des Patienten.
      Angabe: Kann.
      Format: 10-stellig
      Returns:
        get the svnr.

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getKarteninhaberKennnummer

          public String getKarteninhaberKennnummer()

      6 Kennnummer des Karteninhabers. (Feld 6 der EKV-Karte.)
      Angabe: Kann.
      Format: 1 bis 30-stellig.
      Returns:
        KarteninhaberKennnummer.

    - #### setKarteninhaberKennnummer

          public void setKarteninhaberKennnummer(String karteninhaberKennnummer)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        get the patientVorname

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname des Patienten.
      Angabe: Kann.
      Format: maximal 70-stellig
      Returns:
        get the patientZuname

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getAusstellungsDatum

          public String getAusstellungsDatum()

      Ausstellungsdatum.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        get the ausstellungsDatum.

    - #### setAusstellungsDatum

          public void setAusstellungsDatum(String ausstellungsDatum)

    - #### getAussteller

          public Partnerdaten getAussteller()

      Daten des Ausstellers.
      Angabe: Muss.
      Returns:
        get the aussteller.

    - #### setAussteller

          public void setAussteller(Partnerdaten aussteller)

    - #### getKvt

          public String getKvt()

      KV-Träger des Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Returns the kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getStatus

          public String getStatus()

      Status des e-Rezepts.
      Mögliche Werte: `StatusERezeptConstants`.
      Angabe: Muss.
      Returns:
        Returns the status.

    - #### setStatus

          public void setStatus(String status)

    - #### getErstabgabeErfolgt

          public Boolean getErstabgabeErfolgt()

      Information, ob zu dem Privatrezept bereits eine Erstabgabe erfolgt ist.
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        Information ob eine Erstabgabe erfolgt ist.

    - #### setErstabgabeErfolgt

          public void setErstabgabeErfolgt(Boolean erstabgabeErfolgt)

    - #### getKeineVerordnunginBestellung

          public Boolean getKeineVerordnunginBestellung()

      Information, ob in dem Privatrezept keine Verordnung aktuell den Status "In Bestellung" besitzt.
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        Information ob eine/keine Verorndung in Bestellung ist.

    - #### setKeineVerordnunginBestellung

          public void setKeineVerordnunginBestellung(Boolean keineVerordnunginBestellung)

    - #### getGueltigBis

          public String getGueltigBis()

      Gültig Bis Datum.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Gültig Bis

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)

    - #### getGueltigBisErstabgabe

          public String getGueltigBisErstabgabe()

      Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        GültigBis Erstabgabedatum

    - #### setGueltigBisErstabgabe

          public void setGueltigBisErstabgabe(String gueltigBisErstabgabe)

    - #### getSuchtgift

          public String getSuchtgift()

      Suchtgift. Wenn JA, dann ist dieses Rezept ein Suchtgiftrezept.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Suchtgift

    - #### setSuchtgift

          public void setSuchtgift(String suchtgift)